/* FichothequeLib_API - Copyright (c) 2007-2026 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.exportation.table;

import net.mapeadores.util.annotation.Nullable;
import net.mapeadores.util.attr.Attributes;
import net.mapeadores.util.text.Labels;


/**
 *
 * @author Vincent Calame
 */
public interface ColDef {

    /**
     * N'est jamais nul.
     */
    public String getColName();

    /**
     * Nul s'il faut utiliser le libellé par défaut
     */
    @Nullable
    public Labels getCustomLabels();

    public Attributes getAttributes();

    public String getCastType();

    public default String getMatchingComponentName() {
        return "";
    }

}
